body{
    background-color: black;
    
    justify-content: center;
    align-items: center;
    display: flex;
    height: 100vh; 
    margin: 0;
    overflow: hidden;
    font-family: Arial, sans-serif;
}

h1{

    font-size: 300%;
    height: fit-content;
    text-align: center;
    

    background-image: linear-gradient(90deg, red, orange, yellow, green, blue, indigo, violet);
    background-size: 300% 100%;
    background-position: 0 50%;
    
    /* Permette di applicare il gradiente al testo */
    color: transparent;
    -webkit-background-clip: text;
    background-clip: text;

   
    animation: rainbow-slide 3s linear infinite;

}


canvas {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
}


@keyframes rainbow-slide {
    0% { background-position: 100% 50%; }
    100% { background-position: 0% 50%; }
}